;;; -*- Mode: LISP; Syntax: COMMON-LISP; Package: XIT; Base: 10; -*-
;;;_____________________________________________________________________________
;;;
;;;                       System: XIT
;;;                       Module: FONT-TABLE
;;;                       (Version 1.0)
;;;
;;; Copyright (c): Forschungsgruppe DRUID, Hubertus Hohl
;;;                Universitaet Stuttgart
;;;
;;; File: /usr/local/lisp/xit/font-tables/X11-Res100.lisp
;;; File Creation Date: 02/28/91 11:18:15
;;; Last Modification Time: 04/15/93 12:48:03
;;; Last Modification By: Hubertus Hohl
;;;
;;;
;;; Changes (worth to be mentioned):
;;; ================================
;;;
;;;_____________________________________________________________________________
;;;
;;; for various X11 vendors, Resolution 100

(in-package :xit)

(define-font-families
 (:HELVETICA
  (:NORMAL
   (8   "-adobe-helvetica-medium-r-normal--11-80-100-100-p-56-iso8859-1")
   (10  "-adobe-helvetica-medium-r-normal--14-100-100-100-p-76-iso8859-1")
   (12  "-adobe-helvetica-medium-r-normal--17-120-100-100-p-88-iso8859-1")
   (14  "-adobe-helvetica-medium-r-normal--20-140-100-100-p-100-iso8859-1")
   (18  "-adobe-helvetica-medium-r-normal--25-180-100-100-p-130-iso8859-1")
   (24  "-adobe-helvetica-medium-r-normal--34-240-100-100-p-176-iso8859-1")
   )
  (:ITALIC
   (8   "-adobe-helvetica-medium-o-normal--11-80-100-100-p-57-iso8859-1")
   (10  "-adobe-helvetica-medium-o-normal--14-100-100-100-p-78-iso8859-1")
   (12  "-adobe-helvetica-medium-o-normal--17-120-100-100-p-88-iso8859-1")
   (14  "-adobe-helvetica-medium-o-normal--20-140-100-100-p-98-iso8859-1")
   (18  "-adobe-helvetica-medium-o-normal--25-180-100-100-p-130-iso8859-1")
   (24  "-adobe-helvetica-medium-o-normal--34-240-100-100-p-176-iso8859-1")
   )
  (:BOLD
   (8   "-adobe-helvetica-bold-r-normal--11-80-100-100-p-60-iso8859-1")
   (10  "-adobe-helvetica-bold-r-normal--14-100-100-100-p-82-iso8859-1")
   (12  "-adobe-helvetica-bold-r-normal--17-120-100-100-p-92-iso8859-1")
   (14  "-adobe-helvetica-bold-r-normal--20-140-100-100-p-105-iso8859-1")
   (18  "-adobe-helvetica-bold-r-normal--25-180-100-100-p-138-iso8859-1")
   (24  "-adobe-helvetica-bold-r-normal--34-240-100-100-p-182-iso8859-1")
   )
  (:BOLDITALIC
   (8   "-adobe-helvetica-bold-o-normal--11-80-100-100-p-60-iso8859-1")
   (10  "-adobe-helvetica-bold-o-normal--14-100-100-100-p-82-iso8859-1")
   (12  "-adobe-helvetica-bold-o-normal--17-120-100-100-p-92-iso8859-1")
   (14  "-adobe-helvetica-bold-o-normal--20-140-100-100-p-103-iso8859-1")
   (18  "-adobe-helvetica-bold-o-normal--25-180-100-100-p-138-iso8859-1")
   (24  "-adobe-helvetica-bold-o-normal--34-240-100-100-p-182-iso8859-1")
   )
  )
 
 (:LUCIDA
  (:NORMAL
   (8   "-b&h-lucida-medium-r-normal-sans-11-80-100-100-p-63-iso8859-1")
   (10  "-b&h-lucida-medium-r-normal-sans-14-100-100-100-p-80-iso8859-1")
   (12  "-b&h-lucida-medium-r-normal-sans-17-120-100-100-p-96-iso8859-1")
   (14  "-b&h-lucida-medium-r-normal-sans-20-140-100-100-p-114-iso8859-1")
   (18  "-b&h-lucida-medium-r-normal-sans-25-180-100-100-p-142-iso8859-1")
   (19  "-b&h-lucida-medium-r-normal-sans-26-190-100-100-p-147-iso8859-1")
   (24  "-b&h-lucida-medium-r-normal-sans-34-240-100-100-p-191-iso8859-1")
   )
  (:BOLD
   (8   "-b&h-lucida-bold-r-normal-sans-11-80-100-100-p-70-iso8859-1")
   (10  "-b&h-lucida-bold-r-normal-sans-14-100-100-100-p-89-iso8859-1")
   (12  "-b&h-lucida-bold-r-normal-sans-17-120-100-100-p-108-iso8859-1")
   (14  "-b&h-lucida-bold-r-normal-sans-20-140-100-100-p-127-iso8859-1")
   (18  "-b&h-lucida-bold-r-normal-sans-25-180-100-100-p-158-iso8859-1")
   (19  "-b&h-lucida-bold-r-normal-sans-26-190-100-100-p-166-iso8859-1")
   (24  "-b&h-lucida-bold-r-normal-sans-34-240-100-100-p-216-iso8859-1")
   )
  (:ITALIC
   (8   "-b&h-lucida-medium-i-normal-sans-11-80-100-100-p-62-iso8859-1")
   (10  "-b&h-lucida-medium-i-normal-sans-14-100-100-100-p-80-iso8859-1")
   (12  "-b&h-lucida-medium-i-normal-sans-17-120-100-100-p-97-iso8859-1")
   (14  "-b&h-lucida-medium-i-normal-sans-20-140-100-100-p-114-iso8859-1")
   (18  "-b&h-lucida-medium-i-normal-sans-25-180-100-100-p-141-iso8859-1")
   (19  "-b&h-lucida-medium-i-normal-sans-26-190-100-100-p-147-iso8859-1")
   (24  "-b&h-lucida-medium-i-normal-sans-34-240-100-100-p-192-iso8859-1")
   )
  (:BOLDITALIC
   (8   "-b&h-lucida-bold-i-normal-sans-11-80-100-100-p-69-iso8859-1")
   (10  "-b&h-lucida-bold-i-normal-sans-14-100-100-100-p-90-iso8859-1")
   (12  "-b&h-lucida-bold-i-normal-sans-17-120-100-100-p-108-iso8859-1")
   (14  "-b&h-lucida-bold-i-normal-sans-20-140-100-100-p-127-iso8859-1")
   (18  "-b&h-lucida-bold-i-normal-sans-25-180-100-100-p-159-iso8859-1")
   (19  "-b&h-lucida-bold-i-normal-sans-26-190-100-100-p-166-iso8859-1")
   (24  "-b&h-lucida-bold-i-normal-sans-34-240-100-100-p-215-iso8859-1")
   )
  )

 (:LUCIDATYPEWRITER
  (:NORMAL
   (8   "-b&h-lucidatypewriter-medium-r-normal-sans-11-80-100-100-m-70-iso8859-1")
   (10  "-b&h-lucidatypewriter-medium-r-normal-sans-14-100-100-100-m-80-iso8859-1")
   (12  "-b&h-lucidatypewriter-medium-r-normal-sans-17-120-100-100-m-100-iso8859-1")
   (14  "-b&h-lucidatypewriter-medium-r-normal-sans-20-140-100-100-m-120-iso8859-1")
   (18  "-b&h-lucidatypewriter-medium-r-normal-sans-25-180-100-100-m-150-iso8859-1")
   (19  "-b&h-lucidatypewriter-medium-r-normal-sans-26-190-100-100-m-159-iso8859-1")
   (24  "-b&h-lucidatypewriter-medium-r-normal-sans-34-240-100-100-m-200-iso8859-1")
   )
  (:BOLD
   (8   "-b&h-lucidatypewriter-bold-r-normal-sans-11-80-100-100-m-70-iso8859-1")
   (10  "-b&h-lucidatypewriter-bold-r-normal-sans-14-100-100-100-m-80-iso8859-1")
   (12  "-b&h-lucidatypewriter-bold-r-normal-sans-17-120-100-100-m-100-iso8859-1")
   (14  "-b&h-lucidatypewriter-bold-r-normal-sans-20-140-100-100-m-120-iso8859-1")
   (18  "-b&h-lucidatypewriter-bold-r-normal-sans-25-180-100-100-m-150-iso8859-1")
   (19  "-b&h-lucidatypewriter-bold-r-normal-sans-26-190-100-100-m-159-iso8859-1")
   (24  "-b&h-lucidatypewriter-bold-r-normal-sans-34-240-100-100-m-200-iso8859-1")
   )
  )
 )
